#if INPUTSYSTEM_SUPPORT
using AlicizaX.UI;
using UnityEditor;
using UnityEngine;

namespace AlicizaX.UI
{
    [CanEditMultipleObjects]
    [CustomEditor(typeof(UXHotkeyButton), true)]
    internal class UXHotkeyButtonEditor : UXButtonEditor
    {
        private SerializedProperty _hotKeyRefrence;
        private SerializedProperty _hotkeyPressType;

        protected override void OnEnable()
        {
            base.OnEnable();
            _hotKeyRefrence = serializedObject.FindProperty("_hotKeyRefrence");
            _hotkeyPressType = serializedObject.FindProperty("_hotkeyPressType");
        }

        protected override void DrawEventTab()
        {
            base.DrawEventTab();
            using (new EditorGUILayout.VerticalScope(EditorStyles.helpBox))
            {
                EditorGUILayout.PropertyField(_hotKeyRefrence, new GUIContent("InputAction"));
                EditorGUILayout.PropertyField(_hotkeyPressType, new GUIContent("PressType"));
            }
        }
    }
}

#endif
